Bug 1294285 - [abrt] evolution: gdk_wayland_device_get_focus(): evolution killed by SIGSEGV
[abrt] evolution: gdk_wayland_device_get_focus(): evolution killed by SIGSEGV
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
rawhide
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:d68d4d84fac5194ff4d4d93592d...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-26 07:49 EST by Giulio 'juliuxpigface'
Modified: 2016-01-22 12:55 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-22 12:55:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (45.23 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: cgroup (229 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: core_backtrace (10.13 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: dso_list (25.44 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: environ (929 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: exploitable (93 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: maps (84.26 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: mountinfo (3.44 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: open_fds (3.86 KB, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: proc_pid_status (915 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details
File: var_log_messages (669 bytes, text/plain)
2015-12-26 07:49 EST, Giulio 'juliuxpigface'
no flags Details

  None (edit)
Description Giulio 'juliuxpigface' 2015-12-26 07:49:22 EST
Description of problem:
I've closed the Gnome Wayland session while Evolution was running. The application crashed and ABRT caught the issue.

Version-Release number of selected component:
evolution-3.19.3-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        evolution
crash_function: gdk_wayland_device_get_focus
executable:     /usr/bin/evolution
global_pid:     2879
kernel:         4.4.0-0.rc6.git1.1.fc24.i686+PAE
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_wayland_device_get_focus at gdkdevice-wayland.c:491
 #1 gdk_wayland_seat_grab at gdkdevice-wayland.c:2466
 #2 gdk_seat_grab at gdkseat.c:264
 #3 popup_grab_on_window at gtkmenu.c:1509
 #4 gtk_menu_popup_for_device at gtkmenu.c:1674
 #5 gtk_menu_popup at gtkmenu.c:1838
 #6 gtk_menu_item_real_popup_submenu at gtkmenuitem.c:2008
 #7 _gtk_menu_item_popup_submenu at gtkmenuitem.c:2098
 #8 gtk_real_menu_item_select at gtkmenuitem.c:1820
 #15 gtk_menu_item_select at gtkmenuitem.c:1465
Comment 1 Giulio 'juliuxpigface' 2015-12-26 07:49:31 EST
Created attachment 1109585 [details]
File: backtrace
Comment 2 Giulio 'juliuxpigface' 2015-12-26 07:49:32 EST
Created attachment 1109586 [details]
File: cgroup
Comment 3 Giulio 'juliuxpigface' 2015-12-26 07:49:35 EST
Created attachment 1109587 [details]
File: core_backtrace
Comment 4 Giulio 'juliuxpigface' 2015-12-26 07:49:38 EST
Created attachment 1109588 [details]
File: dso_list
Comment 5 Giulio 'juliuxpigface' 2015-12-26 07:49:40 EST
Created attachment 1109589 [details]
File: environ
Comment 6 Giulio 'juliuxpigface' 2015-12-26 07:49:42 EST
Created attachment 1109590 [details]
File: exploitable
Comment 7 Giulio 'juliuxpigface' 2015-12-26 07:49:44 EST
Created attachment 1109591 [details]
File: limits
Comment 8 Giulio 'juliuxpigface' 2015-12-26 07:49:49 EST
Created attachment 1109592 [details]
File: maps
Comment 9 Giulio 'juliuxpigface' 2015-12-26 07:49:51 EST
Created attachment 1109593 [details]
File: mountinfo
Comment 10 Giulio 'juliuxpigface' 2015-12-26 07:49:53 EST
Created attachment 1109594 [details]
File: namespaces
Comment 11 Giulio 'juliuxpigface' 2015-12-26 07:49:55 EST
Created attachment 1109595 [details]
File: open_fds
Comment 12 Giulio 'juliuxpigface' 2015-12-26 07:49:57 EST
Created attachment 1109596 [details]
File: proc_pid_status
Comment 13 Giulio 'juliuxpigface' 2015-12-26 07:49:58 EST
Created attachment 1109597 [details]
File: var_log_messages
Comment 14 Milan Crha 2016-01-18 13:18:29 EST
Thanks for a bug report. I see this crashed deep in the gtk+ code, thus I move this there for further investigation.
Comment 15 Matthias Clasen 2016-01-22 12:55:41 EST
this should be fixed in 3.19.7

Note You need to log in before you can comment on or make changes to this bug.